- Qt 6.7
- Qt NFC
- C++ Classes
- QNdefNfcIconRecord
- Qt 6.7.3 Reference Documentation

# QNdefNfcIconRecord Class

The QNdefNfcIconRecord class provides an NFC MIME record to hold an icon. More...

Header: | #include <QNdefNfcIconRecord>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Nfc) target_link_libraries(mytarget PRIVATE Qt6::Nfc)
qmake: | QT += nfc
Since: | Qt 5.2
Inherits: | QNdefRecord

- List of all members, including inherited members

## Public Functions

| QNdefNfcIconRecord()
| QNdefNfcIconRecord(const QNdefRecord &other)
QByteArray | data() const
void | setData(const QByteArray &data)

## Detailed Description

This class wraps the image data into an NDEF message. It provides an NDEF record of type QNdefRecord::Mime. The payload() contains the raw image data.

## Member Function Documentation

### QNdefNfcIconRecord::QNdefNfcIconRecord()

Constructs an empty NDEF record of type QNdefRecord::Mime.

### QNdefNfcIconRecord::QNdefNfcIconRecord(const QNdefRecord &other)

Constructs an NDEF icon record that is a copy of other.

### QByteArray QNdefNfcIconRecord::data() const

Returns the icon data as QByteArray.

See also setData().

### void QNdefNfcIconRecord::setData(const QByteArray &data)

Sets the contents of the icon record to data.

See also data().